//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloComprobantePago
{
    using System;
    using System.Collections.Generic;
    
    public partial class pagoLinea
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public pagoLinea()
        {
            this.pagoLineaImpuesto = new HashSet<pagoLineaImpuesto>();
            this.pagoLineaRetencion = new HashSet<pagoLineaRetencion>();
        }
    
        public int Id { get; set; }
        public string factura { get; set; }
        public string UUID { get; set; }
        public string MonedaDR { get; set; }
        public string NumParcialidad { get; set; }
        public Nullable<decimal> ImpSaldoAnt { get; set; }
        public Nullable<decimal> ImpPagado { get; set; }
        public decimal EquivalenciaDR { get; set; }
        public Nullable<decimal> ImpSaldoInsoluto { get; set; }
        public Nullable<decimal> TipoCambioDR { get; set; }
        public string folio { get; set; }
        public string serie { get; set; }
    
        public virtual pago pago { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<pagoLineaImpuesto> pagoLineaImpuesto { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<pagoLineaRetencion> pagoLineaRetencion { get; set; }
    }
}
